Support » Plugin: iThemes Security » php notice (debug) with buddypress 1.7 / bbpress 2.3

  • Hello,

    first of all: Thanks for your really important and high level plugin! It makes the use of WordPress so much wider! I really wondered about the many threads here – I’m using your plugin for a long time now on really complex installs (multisite, multinetwork, buddypress, sooo many different small and big plugins) and it works perfect for me! 🙂

    So, just a very small issue: Testing the dev versions of buddypress (1.7) and bbpress (2.3) at the moment and they both have a new error notice, that is thrown by your plugin, too, when a post query is fired before setup theme. Please read more here: https://buddypress.trac.wordpress.org/ticket/4830

    It would be wonderful if you could check this for your next release.

    Thanks, Fee

    http://wordpress.org/extend/plugins/better-wp-security/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Thread Starter Fee

    (@wdfee)

    I found the cause in your code:
    in /inc/secure.php line 105-127 please load the hooks ‘randomVersion’, ‘themeupdates’, ‘pluginupdates’ and ‘coreupdates’ to 'admin_init' instead of 'plugins_loaded'.

    I have noticed this (doing some theme de-bugging)- it occurs with this plugin active if you have BuddyPress and wp-debug true.

    Thread Starter Fee

    (@wdfee)

    So, these error notices are still there. Dear developers, please change in /inc/secure.php line 108-122 all hooks from ‘plugins_loaded’ to ‘after_setup_theme’.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘php notice (debug) with buddypress 1.7 / bbpress 2.3’ is closed to new replies.